Bug 980617 - wifi rtl8192ce does not work reliably on 64bit intel machine but does on 32 bit [NEEDINFO]
wifi rtl8192ce does not work reliably on 64bit intel machine but does on 32 bit
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On: 890666
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 16:55 EDT by Terry Wallwork
Modified: 2014-03-10 10:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:38:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Terry Wallwork 2013-07-02 16:55:33 EDT
Description of problem:

I have a toshiba laptop with a realtek wifi card (rtl8188ce) (rtl8192ce driver on linux).

It works rock solid in 32bits linux and windows.  But switch to 64bit fedora and the driver does not work reliably.  Constantly disconnects and the reconnects (works find on 64bit windows btw).  Works at good speed briefly and then disconnects.

Version-Release number of selected component (if applicable):


How reproducible:
2. Using most recent version of fedora 19 kernal, almost always.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

This happens in many versions of fedora.  Even a quick search of google will show many people having the same problem.

It was request to reopen this bug if the problem persists in the new version of fedora so here is it.

I talked with Larry Finger about the bug previously, nothing was done.

If you need more info or want me to test things tell me what you need.

This adapter is a very popular wifi card and its not doing Linux any good it not working reliably on 64bit linux, fedora, ubuntu or suse.

I filed this under the component of network manager, not because I think it has anything to do with Network manager but becaue there did not seem to be any better catagory.
Comment 1 hrafnkellbrimar 2013-07-13 16:56:14 EDT
I have the exact same problem. This is the only reason for why I've been using 32 bit Fedora with PAE kernel on my Toshiba laptop for 2 years now. Have tested various kernels and distributions with the same result. The latest Fedora 19 with kernel 3.9.9 seems a bit better, I have not had the "clogged" experience when I'm close to the access point, but if I move a few meters away from it the 64 bit will lag to a halt while the 32 bit version is fine.
Comment 2 Jirka Klimes 2013-07-15 09:33:25 EDT
I experienced the problems with the driver as well. Solved that by compiling driver from realtek. However, I didn't know the rtl8192ce issue is only for 64-bit.

https://bugzilla.redhat.com/show_bug.cgi?id=890666
Comment 3 Terry Wallwork 2013-07-15 09:43:24 EDT
Hi  Jirka,


I also compiled from realtek source as a test and still get the same issue.  It so strange that it works flawless on 32bit, but 64bit, completely useless.  

Again to any one listening if you need extra info then please tell us what we need to provide to get this annoying issue fixed.
Comment 4 hrafnkellbrimar 2013-07-15 09:48:13 EDT
Like I said, the situation with the current Fedora 19 64 bit kernel seems to be a lot better than it was 2 years ago when I first got my laptop. But the performance and reliability is still nowhere near that of the 32 bit kernel, which is flawless. Which is a shame as I would like to be able to use a 64 bit version of Fedora on this laptop.

I am going to set up a dual boot environment with identical installations of 32 bit and 64 bit versions of Fedora to try and document the difference as soon as possible.
Comment 5 Terry Wallwork 2013-07-15 09:55:52 EDT
Hi Jirka,

Don't know if it any help but I did setup identical versions of f17 (one 32 bit the other 64).  The only difference I could see was the output of iwconfig.  If I remeber right it couldn't see as many (but could see some) routers as the 32bit version.  But I know nothing about the technical side of it, so there could be way more complex differences going on.
Comment 6 Terry Wallwork 2013-07-15 10:12:55 EDT
Also I briefly tried Fedora 19 but the out of the box version that comes with F19 is no better (as far as I can tell).  I also tried compiling from source but could not compile the realtek source version using F19 as the kernel is too new (F18 compiled but was no more reliable than the out of box F18/F19 versions).

If you have a more updated version of realtek source that works with the more upto date F19 kernel I would be happy to test it.

I am currently being forced to use an Edimax Mini USB wifi "Edimax EW-7811Un 802.11n Wireless Adapter [Realtek RTL8188CUS]".  This also does not work out the box but the realtek source for this compiles with the kernal 3.6.10-4.fc18.x86_64 and that then does work very well (apart from it segfaults the kernal when it is unplugged).  I mention this show that I can get other rtl products performing just fine on 64bits.

Terry Wallwork
Comment 7 Josh Boyer 2013-09-18 16:50:42 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 8 Terry Wallwork 2013-09-26 06:13:54 EDT
The problems are still present in the updated Kernel.

I am really getting sick of posting to you telling you this, I gave you all the info I had and said I would provide any other you need.

What's the point of having a bug reporting system if you are not going to fix things.

You were told that the driver worked fine in 32 bit yet not in 64 bits.  So obviously this is a driver bug or some system up the chain.

Stop wasting our time and either fix if or just say this card is not supported on 64 bits.

You are hurting Fedora with this poor support for this card in bit 64.

Larry Finger I know you worked on this but I really wish you would do what was asked and get the info to fix this properly or put people in touch with the correct people to get this issue at least properly investigted.

Terry Wallwork
Comment 9 hrafnkellbrimar 2013-09-28 17:37:12 EDT
I can also confirm that the bug is still very much present in the new kernel. I get a somewhat more reliable connection when close to the router (same as with last kernel), but nowhere near as good as with the 32bit PAE kernel.
Comment 10 Justin M. Forbes 2014-01-03 17:07:55 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 11 Justin M. Forbes 2014-03-10 10:38:28 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.